Download mandate correspondence attachment
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/ \
--header 'Authorization: Bearer <token>'"<string>"{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Mandates
Download mandate correspondence attachment
Bytes of one attachment. Content-Type is detected from the bytes, never taken from the mail. 404 for unknown or unavailable attachments.
GET
/
v2
/
mandates
/
{mandate_id}
/
correspondence
/
{id}
/
attachments
/
{attachment_id}
/
download
/
Download mandate correspondence attachment
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/mandates/{mandate_id}/correspondence/{id}/attachments/{attachment_id}/download/ \
--header 'Authorization: Bearer <token>'"<string>"{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Path Parameters
Opaque attachment identifier from the item's attachments[].id.
UUID of the correspondence item in this request.
UUID of the parent accepted case in this request.
Response
The response is of type file.
